Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False)> _
<CreatableItem(False)> _
<NonPersistent()> _
Public Class HRPErsonTask_ViewList_PopUp
    Inherits BaseObject

    Private _IDName As String
    Private _IDCaption As String

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Property IDName As String
        Get
            Return _IDName
        End Get
        Set(value As String)
            SetPropertyValue("IDName", _IDName, value)
        End Set
    End Property
    Property IDCaption As String
        Get
            Return _IDCaption
        End Get
        Set(value As String)
            SetPropertyValue("IDCaption", _IDCaption, value)
        End Set
    End Property
End Class
